# PartyMemberPokemonPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PartyMemberPokemonPhase`Abstract`

#### Hierarchy (View Summary)

- FieldPhase
  - PartyMemberPokemonPhase
    - EnemyPartyMemberPokemonPhase
    - PlayerPartyMemberPokemonPhase
    - SummonPhase

- Defined in src/phases/party-member-pokemon-phase.ts:5

##### Index

### Constructors

constructor

### Properties

fieldIndex
partyMemberIndex
player

### Methods

end
executeForAll
getParty
getPokemon
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new PartyMemberPokemonPhase(
  partyMemberIndex: number,
  player: boolean,
  ): PartyMemberPokemonPhase

  #### Parameters

  - partyMemberIndex: number
  - player: boolean

  #### Returns PartyMemberPokemonPhase

  Overrides FieldPhase.constructor

  - Defined in src/phases/party-member-pokemon-phase.ts:10

## Properties

### `Protected` fieldIndex

fieldIndex: number

- Defined in src/phases/party-member-pokemon-phase.ts:7

### `Protected` partyMemberIndex

partyMemberIndex: number

- Defined in src/phases/party-member-pokemon-phase.ts:6

### `Protected` player

player: boolean

- Defined in src/phases/party-member-pokemon-phase.ts:8

## Methods

### end

- end(): void

  #### Returns void

  Inherited from FieldPhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from FieldPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getParty

- getParty(): default []

  #### Returns default []

  - Defined in src/phases/party-member-pokemon-phase.ts:18

### getPokemon

- getPokemon(): default

  #### Returns default

  - Defined in src/phases/party-member-pokemon-phase.ts:22

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from FieldPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from FieldPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Inherited from FieldPhase.start

  - Defined in src/phase.ts:4